Skip to main content

Cashout Webhook Notification

POST 

/webhooks/paysafecash/cashout

Sends a JSON webhook notification to the business partner endpoint provided in the webhook_url field of the initiate cashout request as soon as a transaction is successful, cancelled, or expires.

The business partner server must respond with HTTP 200. The authenticity of the webhook notification must be verified before the transaction is processed.

In case of technical errors or application errors, the webhook notification is resubmitted at a regular interval of one minute until one of the following criteria is fulfilled:

  • The webhook notification is successfully delivered (HTTP 200 response from the server).
  • The maximum number of retry attempts has been reached (currently configured at five retries).

Request

Responses

Cashout webhook notification received successfully.